<template>
	<view class="detail">
		<view  style="box-shadow: 0px 5px 25px 0px rgba(218, 220, 230, 0.85);margin-bottom: 20px;border-radius: 10px;">
			<view class="top">
				<view class="submit-date">
					提交日期：{{datas.UpdateDate}}
				</view>
				<view class="modify-btn" @click="goedit()">
					修改
				</view>
			</view>
			<view class="detail-con">
				<view class="title">
					{{datas.BranchName}}
				</view>
				<view class="con1">
					<view  class="con1_item">
						对标载体：{{datas.CarrierName}}
					</view>
					<view class="con1_item">
						发展区域：{{datas.Area}}
					</view>
				</view>
				<u-divider :margin-top="20" :margin-bottom="20" half-width="100"  color="#0B0B0B" fontSize='32' bg-color="transparent">清单详情</u-divider>
				<view >
				  <h-parse :content="datas.Description" @navigate="clickDescription"></h-parse>
				</view>
				<u-divider :margin-top="20" :margin-bottom="20" half-width="100"  color="#0B0B0B" fontSize='32' bg-color="transparent">我的名片</u-divider>
				<view style="width: 100%;" @click="previewImage([datas.NameCard],1)" >
					<image :src='datas.NameCard' mode="aspectFill" style="width: 100%;height: 362rpx;border-radius: 10px;"></image>
				</view>
			</view>
		</view>
	</view>
</template>

<script>
	import hParse from "@/components/u-parse/parse.vue";
	export default{
		components: {
	
		  hParse
		},
		data(){
			return{
				WishId:0,
				datas:null
			}
		},
		onLoad(options) {
			if(options && options.Id){
				this.WishId = options.Id
			}
			this.getdetails()
		},
		created() {
			uni.setNavigationBarTitle({
				title: "心愿清单详情"
			})
			
		},
		methods:{
			getdetails(){
				let parms = {
					url: "/api/AppletTrade/GetMyWishInfo",
					data:{WishId:this.WishId}
				}
				this.request2(parms, (res) => {
					this.loading = false;
					if (res.resultCode == 1) {
						this.datas = res.data
					}
				})
				
			},
			clickDescription(){
				
			},
			previewImage(imgs,i) {
				
				uni.previewImage({
					urls: imgs,
					current: i,
					longPressActions: {
						itemList: ["发送给朋友", "保存图片", "收藏"],
						success: function(data) {},
						fail: function(err) {
							console.log(err.errMsg);
						},
					},
				});
			},
			goedit(){
				uni.navigateTo({
					 url: '/pages/kotra/wish/myWishPlan?Id='+this.datas.Id +'&type=3'
				})
			}
		}
	}
</script>

<style lang="scss" scoped>
	.detail{
		font-family: PingFang SC;
		width: 100%;
		height: 100vh;
		background: #FFF;
		padding: 15px;
		.top{
			height: 240rpx;
			padding-top: 50rpx;
			.submit-date{
				width: 100%;
				text-align: center;
				font-size: 24rpx;
				font-weight: 500;
				color: #B3B3BA;
			}
			.modify-btn{
				width: 300rpx;
				height: 78rpx;
				background-color: #1F1F1F;
				border: 1rpx solid #1F1F1F;
				border-radius: 20rpx;
				margin: 30rpx auto 0;
				font-size: 30rpx;
				text-align: center;
				line-height: 75rpx;
				font-weight: bold;
				color: #FFFFFF;
			}
		}
		.detail-con{
			
			margin: 0 auto;
			background-color: #FFFFFF;
			box-shadow: 0px 10rpx 50rpx 0px rgba(218, 220, 230, 0.85);
			border-radius: 20rpx;
			padding: 15px;
			.title{
				font-size: 38rpx;
				font-weight: 800;
				color: #1F1F1F;
				text-align: center;
				margin-bottom: 40rpx;
			}
			.con1{
				display: flex;
				justify-content: space-between;
				align-items: flex-start;
				font-size: 24rpx;
				font-weight: 500;
				color: #80808A;
				margin-bottom: 60rpx;
				.con1_item{
					width: 49%;
				}
			}
			.title2{
				text-align: center;
				font-size: 32rpx;
				font-weight: bold;
				color: #0B0B0B;
				margin-bottom: 50rpx;
			}
		}
	}
</style>
